Advertising - Get Ad Placements
Returns a list of ad placements and a reward for each
POST https://titleId.playfabapi.com/Client/GetAdPlacements
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| AppId | True |
string |
The current AppId to use |
| Identifier |
Using the name or unique identifier, filter the result for get a specific placement. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Array of AdPlacementDetails |
|
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Ad |
A single ad placement details including placement and reward information |
|
Api |
The basic wrapper around every failed API response |
|
Get |
Using an AppId to return a list of valid ad placements for a player. |
|
Get |
Array of AdPlacementDetails |
|
Name |
Identifier by either name or ID. Note that a name may change due to renaming, or reused after being deleted. ID is immutable and unique. |
AdPlacementDetails
A single ad placement details including placement and reward information
| Name | Type | Description |
|---|---|---|
| PlacementId |
string |
Placement unique ID |
| PlacementName |
string |
Placement name |
| PlacementViewsRemaining |
number |
If placement has viewing limits indicates how many views are left |
| PlacementViewsResetMinutes |
number |
If placement has viewing limits indicates when they will next reset |
| RewardAssetUrl |
string |
Optional URL to a reward asset |
| RewardDescription |
string |
Reward description |
| RewardId |
string |
Reward unique ID |
| RewardName |
string |
Reward name |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
GetAdPlacementsRequest
Using an AppId to return a list of valid ad placements for a player.
| Name | Type | Description |
|---|---|---|
| AppId |
string |
The current AppId to use |
| Identifier |
Using the name or unique identifier, filter the result for get a specific placement. |
GetAdPlacementsResult
Array of AdPlacementDetails
| Name | Type | Description |
|---|---|---|
| AdPlacements |
Array of results |
NameIdentifier
Identifier by either name or ID. Note that a name may change due to renaming, or reused after being deleted. ID is immutable and unique.
| Name | Type | Description |
|---|---|---|
| Id |
string |
Id Identifier, if present |
| Name |
string |
Name Identifier, if present |